Skip to main content

Voices

API endpoints related to managing Voices. The voices API allows you to generate audio from text using different voice models.

Supported Voices​

Below is a list of all supported voices that can be used with the Voices API:

Voice IDNameGenderAccentDescription
cjVigY5qzO86Huf0OWalBennyMaleCanadianCasual and approachable
5ZvI0fBo2w7CxuiM9ObFChrisMaleAmericanWarm and friendly
UgBBYS2sOqTuMpoF3BR0MarkMaleAmericanDeep and authoritative
s0XGIcqmceN2l7kjsqoZLucasMaleAmericanCasual, approachable and conversational
L0Dsvb3SLTyegXwtm47JArcherMaleBritishCalm, Middle-aged British
N2yy09ofJlJaywlNAv4sSarahFemaleCanadianSoft spoken
FVQMzxJGPUBtfz1AzdoyDanielleFemaleCanadianWarm and friendly
uYXf8XasLslADfZ2MB4uHopeFemaleAmericanCasual, Young, Female, Conversational
pujH7g2H19Q7U8Gevr98JoeMaleAmericanMiddle-Aged, Conversational
ZUrEGyu8GFMwnHbvLhv2MonikaFemaleIndianRelaxed, Conversational
pzxut4zZz4GImZNlqQ3HRajuMaleIndianYoung, Conversational

Generate Voice​

Converts text to speech using the specified voice.

POST /v1/voices

Headers:

  • x-api-key (string, required): Your API key for authentication.
  • Content-Type (string, required): application/json

Request Body:

{
"message": "Hello, this is a test message that will be converted to speech.",
"voiceId": "voice_id_123abc"
}

Request Parameters:

  • message (string, required): The text message to convert to speech.
  • voiceId (string, required): The ID of the voice model to use for speech generation.

Response:

  • 201 Created: Voice generated successfully.
    {
    "message": "Voice generated successfully",
    "body": "https://storage.example.com/developers/voices/f7a8b3cd12e4.mp3"
    }
  • 400 Bad Request: Invalid request body (e.g., missing required fields) or an invalid/expired API key.

Try it yourself​

POST/v1/voices
Request URL: https://api.askbenny.ca/v1/voices